Bad Portuguese translation 

2011-09-16 22:49 - Celso Dantas

Status: Closed Start date: 2011-09-16

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution:  Affected version: 1.2.1

Description

"field_start_date" = "Início" should be "Data início"   (means Start Date)

"field_due_date" = "Data Prevista" should be "Data fim"   (means End Date)

Related issues:

Related to Redmine - Feature #6629: Change field-name of issues start date Closed 2010-10-12 2010-10-28

Related to Redmine - Defect #7016: redundant 'field_start_date' in ja.yml Closed 2010-12-02

Associated revisions

Revision 7459 - 2011-09-23 02:17 - Toshi MARUYAMA

fix bad Portuguese translation (#9264)

History

#1 - 2011-09-22 22:08 - pasquale [:dedalus]

- File pt.yml.patch added

I can't move this issue to patch tracker: anyone can make this change?

#2 - 2011-09-23 02:42 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.3.0

Committed in trunk r7459.

I think we don't need to change tracker.

#3 - 2011-09-23 08:49 - pasquale [:dedalus]

Toshi MARUYAMA wrote:

Committed in trunk r7459.

I think we don't need to change tracker.

 ;-)

#4 - 2011-09-23 08:53 - Etienne Massip

Could be merged into stable?

#5 - 2011-09-23 09:16 - Toshi MARUYAMA

Etienne Massip wrote:

Could be merged into stable?

I think we should not change translations in stable branch.

For example:

Traditional Chinese (Taiwanese) #8778

Russian #9053

2025-07-12 1/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/7459
https://www.redmine.org/projects/redmine/repository/svn/revisions/7459
https://www.redmine.org/issues/8778
https://www.redmine.org/issues/9053


#6 - 2011-09-23 09:33 - Etienne Massip

- File translation_fixes_versions.PNG added

Actually, AFAIR, translations are usually merged into stable since they are considered as minor fixes:

 translation_fixes_versions.PNG 

I thought I could find a statement about translation merging in ReleaseManagement, but there is not.

#7 - 2011-09-23 10:44 - Toshi MARUYAMA

But, Portuguese "field_start_date" and "field_due_date" are in since r518.

#8 - 2011-09-23 10:58 - Etienne Massip

Actually, I'm not sure that the translation of "field_due_date" suggested in this patch is really accurate:

"Data Prevista" should be "Data fim" (means End Date)

 ...ok but "Due Date" is not exactly "End Date".

#9 - 2011-09-23 11:27 - Etienne Massip

Toshi MARUYAMA wrote:

But, Portuguese "field_start_date" and "field_due_date" are in since r518.

 I'm sorry, what do you mean?

#10 - 2011-09-23 11:29 - Toshi MARUYAMA

Etienne Massip wrote:

Toshi MARUYAMA wrote:

But, Portuguese "field_start_date" and "field_due_date" are in since r518.

 I'm sorry, what do you mean?

 There is no defect report from 2007-05-08.

#11 - 2011-09-23 11:56 - Etienne Massip

I can't get the link with merging or not to stable ?? :-D

#12 - 2011-09-23 12:57 - Toshi MARUYAMA

I am Japanese and I can understand HANJI (KANJI), so Traditional Chinese #8778 "issue (from 項目 to 問題)" changing has big impact.

I think "field_start_date" and "field_due_date" changing has big impact, too.

#13 - 2011-09-23 16:45 - Etienne Massip

Changing "field_start_date" translation from "Início" to "Data início" is like using "Start Date" instead of "Start", I don't think this is will have a big

impact.

For "field_due_date", I feel like this change is not really needed (see note 8), would be nice if some Portuguese people could give their opinion?

#14 - 2011-09-23 22:24 - Celso Dantas

I decided to submit this issue because I'm using Redmine at my work and 2 collegues questioned me about what "data prevista" meant. "Data previsa

de que? De início ou de fim?"/"Due date of what? Start or end?". After that I opened the source code and updated the pt-BR file to use "Data ínício"

and "Data fim".

But after seeing the discussion of you guys I questioned myseft and had a discussion with some collegues here and we think it should be:

field_due_date: "Fim previsto"      / means "Due date" or "Planned end date" which makes more sense.

I would suggest to use "field_start_date: Início previsto" (means "Planned start date") instead just "Início"/"Start".

Any other portuguese to reiforce my opinion?
https://www.redmine.org/projects/redmine/wiki/ReleaseManagement
https://www.redmine.org/projects/redmine/repository/svn/revisions/518
https://www.redmine.org/projects/redmine/repository/svn/revisions/518
https://www.redmine.org/projects/redmine/repository/svn/revisions/518
https://www.redmine.org/issues/8778


Files

pt.yml.patch 796 Bytes 2011-09-22 pasquale [:dedalus]

translation_fixes_versions.PNG 76.3 KB 2011-09-23 Etienne Massip
